import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询列表
export function listIncomeInspectInfo(query) {
  return request({
    url: '/incomeinspectinfo/list',
    method: 'get',
    params: query
  })
}

// 2. 查询详细信息
export function getIncomeInspectInfo(businessId) {
  return request({
    url: '/incomeinspectinfo/detail/' + businessId,
    method: 'get'
  })
}

// 3. 保存检查一
export function addIncomeInspectInfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomeinspectinfo/persistCheck',
    method: 'post',
    data: data
  })
}

// 4. 修改
export function updateIncomeInspectInfo(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomeinspectinfo/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除
export function delIncomeInspectInfo(businessId) {
  return request({
    url: '/incomeinspectinfo/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出
export function exportIncomeInspectInfo(query) {
  return request({
    url: '/incomeinspectinfo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
